/*
 * Created on: 01-Feb-2006
 * Author: Dibyendu Majumdar
 */
package cmdline;

import java.math.BigDecimal;

import javax.persistence.EntityManager;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;

import services.CustomerService;
import services.ServiceFactory;
import entity.tpcc.Address;
import entity.tpcc.Customer;

public class CreateCustomer {

    public static void main(String[] args) {

        EntityManager em = null;
        try {
            em = Persistence.createEntityManagerFactory("em2")
                    .createEntityManager();
            System.err.println("Created entity manager");

            ServiceFactory sf = new ServiceFactory(em);
            CustomerService cs = sf.getCustomerService();
            
            Customer c = new Customer();
            c.setFirstName("Dibyendu");
            c.setLastName("Majumdar");
            c.setPhone("02089528516");
            c.setCredit("GC");
            c.setCreditLimit(new BigDecimal("500.00"));
            Address address = new Address();
            address.setCity("LONDON");
            c.setAddress(address);
            EntityTransaction t = em.getTransaction();
            
            boolean success = false;
            t.begin();
            try {
                cs.createCustomer("District 1", c);
                success = true;
            }
            finally {
                if (success) {
                    System.err.println("Successfully saved customer");
                    t.commit();
                }
                else {
                    t.rollback();
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        finally {
            if (em != null) {
                em.close();
            }
        }
    }

}
