/*
 * Created on: 01-Feb-2006
 * Author: Dibyendu Majumdar
 */
package cmdline;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;

import services.DistrictService;
import services.ServiceFactory;
import services.WarehouseService;
import entity.tpcc.Warehouse;

public class CreateDistrict {

    public static void main(String[] args) {

        EntityManager em = null;
        try {
            em = Persistence.createEntityManagerFactory("em2")
                    .createEntityManager();
            System.err.println("Created entity manager");

            ServiceFactory sf = new ServiceFactory(em);
            WarehouseService ws = sf.getWarehouseService();
            DistrictService ds = sf.getDistrictService();
            
            EntityTransaction t = em.getTransaction();

            boolean success = false;
            t.begin();
            try {
                Warehouse w = new Warehouse();
                w.setName("LONDON WAREHOUSE");
                List list = ws.find(w);
                if (list.size() != 1) {
                    throw new RuntimeException("Unexpected result from warehouse query");
                }
                w = (Warehouse) list.get(0);
                ds.createDistrict(w, "District 1", null, null, null, null, null, null, null, null);
                success = true;
            } finally {
                if (success) {
                    System.err.println("Successfully saved district");
                    t.commit();
                } else {
                    t.rollback();
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            if (em != null) {
                em.close();
            }
        }
    }

}
