/*
 * Created on: 01-Feb-2006
 * Author: Dibyendu Majumdar
 */
package cmdline;

import java.math.BigDecimal;

import javax.persistence.EntityManager;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;

import services.ServiceFactory;
import services.WarehouseService;

public class CreateWarehouse {

    public static void main(String[] args) {

        EntityManager em = null;
        try {
            em = Persistence.createEntityManagerFactory("em2")
                    .createEntityManager();
            System.err.println("Created entity manager");

            ServiceFactory sf = new ServiceFactory(em);
            WarehouseService ws = sf.getWarehouseService();
            
            EntityTransaction t = em.getTransaction();

            boolean success = false;
            t.begin();
            try {
                ws.createWarehouse("LONDON WAREHOUSE", null, null, "LONDON", null, null, new BigDecimal("2.00"));
                success = true;
            } finally {
                if (success) {
                    System.err.println("Successfully saved warehouse");
                    t.commit();
                } else {
                    t.rollback();
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            if (em != null) {
                em.close();
            }
        }
    }

}
