/*
 * Created on: 05-Jan-2006
 * Author: Dibyendu Majumdar
 */
package cmdline.direct;

import javax.persistence.EntityManager;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;
import javax.persistence.PersistenceContextType;

import entity.tpcc.Warehouse;

public class DeleteWarehouseExtended {

    /**
     * @param args
     */
    public static void main(String[] args) {
        EntityManager em = null;
        try {
            em = Persistence.createEntityManagerFactory("em2")
                    .createEntityManager(PersistenceContextType.EXTENDED);
            Warehouse w = (Warehouse) em.createQuery("SELECT w FROM Warehouse w WHERE w.name = :wname").setParameter("wname", "LONDON WAREHOUSE").getSingleResult();
            if (w == null) {
                System.err.println("Data not found");
                return;
            }
            
            EntityTransaction t = em.getTransaction();
            
            boolean success = false;
            t.begin();
            try {
                em.remove(w);
                success = true;
            }
            finally {
                if (success) {
                    t.commit();
                    System.err.println("Successfully removed warehouse instance");
                }
                else {
                    t.rollback();
                    System.err.println("Failed to removed warehouse instance");
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        finally {
            if (em != null) {
                em.close();
            }
        }
    }
}
