/*
 * Created on: 07-Dec-2005
 * Author: Dibyendu Majumdar
 */
package cmdline.direct;

import java.math.BigDecimal;

import javax.persistence.EntityManager;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;

import entity.tpcc.Customer;
import entity.tpcc.District;


public class InsertCustomer {

    public static void main(String[] args) {

        EntityManager em = null;
        try {
            em = Persistence.createEntityManagerFactory("em2")
                    .createEntityManager();
            System.err.println("Created entity manager");
            
            District d = (District) em.createQuery("SELECT d FROM District d WHERE d.name = :dname")
                .setParameter("dname", "DIST1").getSingleResult();

            Customer c = new Customer();
            c.setFirstName("Dibyendu");
            c.setLastName("Majumdar");
            c.setPhone("02089528516");
            c.setCredit("GC");
            c.setCreditLimit(new BigDecimal("500.00"));
            c.setDistrict(d);
            EntityTransaction t = em.getTransaction();
            
            boolean success = false;
            t.begin();
            try {
                em.merge(c);
                success = true;
            }
            finally {
                if (success) {
                    System.err.println("Successfully saved customer");
                    t.commit();
                }
                else {
                    t.rollback();
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        finally {
            if (em != null) {
                em.close();
            }
        }
    }
}
