/*
 * Created on: 07-Dec-2005
 * Author: Dibyendu Majumdar
 */
package cmdline.direct;

import javax.persistence.EntityManager;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;

import entity.tpcc.District;
import entity.tpcc.Warehouse;

public class InsertWarehouseAndDistrict {

    public static void main(String[] args) {

        EntityManager em = null;
        try {
            em = Persistence.createEntityManagerFactory("em2")
                    .createEntityManager();
            System.err.println("Created entity manager");
            Warehouse w = new Warehouse();
            w.setName("LONDON WAREHOUSE");
            w.setCity("LONDON");
            
            District d = new District();
            d.setName("DIST1");
            d.setCity("LONDON");

            d.setWarehouse(w);
            
            EntityTransaction t = em.getTransaction();
            
            boolean success = false;
            t.begin();
            try {
                em.merge(w);
                success = true;
            }
            finally {
                if (success) {
                    System.err.println("Successfully saved warehouse");
                    t.commit();
                }
                else {
                    t.rollback();
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        finally {
            if (em != null) {
                em.close();
            }
        }
    }
}
