/***
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    Project: ejb3demo
 *    Author : Dibyendu Majumdar
 *    Email  : dibyendu@mazumdar.demon.co.uk
 */
/*
 * Created on: 24-Jan-2006
 * Author: Dibyendu Majumdar
 */
package entity.tpcc;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Version;

@Entity
@Table(name = "ITEM", schema = "TPCC")
public class Item implements Serializable {

	Long id;

	Long version;

	Long imageId;

	String name;

	BigDecimal price;

	String data;

	@Column(name = "I_DATA", length = 50)
	public String getData() {
		return data;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "I_ID", nullable = false)
	public Long getId() {
		return id;
	}

	@Column(name = "I_IM_ID")
	public Long getImageId() {
		return imageId;
	}

	@Column(name = "I_NAME", length = 24, nullable = false)
	public String getName() {
		return name;
	}

	@Column(name = "I_PRICE", precision = 5, scale = 2)
	public BigDecimal getPrice() {
		return price;
	}

	@Version
	@Column(name = "I_VERSION")
	public Long getVersion() {
		return version;
	}

	@Column(name = "I_DATA", length = 50)
	public void setData(String data) {
		this.data = data;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public void setImageId(Long imageId) {
		this.imageId = imageId;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public void setVersion(Long version) {
		this.version = version;
	}
}
