/***
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    Project: ejb3demo
 *    Author : Dibyendu Majumdar
 *    Email  : dibyendu@mazumdar.demon.co.uk
 */
/*
 * Created on: 24-Jan-2006
 * Author: Dibyendu Majumdar
 */
package entity.tpcc;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Version;

@Entity
@Table(name = "STOCK", schema = "TPCC")
public class Stock implements Serializable {

	Long id;

	Long version;

	Long quantity;

	String dist1;

	String dist2;

	String dist3;

	String dist4;

	String dist5;

	String dist6;

	String dist7;

	String dist8;

	String dist9;

	String dist10;

	BigDecimal ytd;

	Long orderCount;

	Long remoteCount;

	String data;

	Item item;

	Warehouse warehouse;

	@Column(name = "S_DATA", length = 50)
	public String getData() {
		return data;
	}

	@Column(name = "S_DIST_01", length = 24)
	public String getDist1() {
		return dist1;
	}

	@Column(name = "S_DIST_10", length = 24)
	public String getDist10() {
		return dist10;
	}

	@Column(name = "S_DIST_02", length = 24)
	public String getDist2() {
		return dist2;
	}

	@Column(name = "S_DIST_03", length = 24)
	public String getDist3() {
		return dist3;
	}

	@Column(name = "S_DIST_04", length = 24)
	public String getDist4() {
		return dist4;
	}

	@Column(name = "S_DIST_05", length = 24)
	public String getDist5() {
		return dist5;
	}

	@Column(name = "S_DIST_06", length = 24)
	public String getDist6() {
		return dist6;
	}

	@Column(name = "S_DIST_07", length = 24)
	public String getDist7() {
		return dist7;
	}

	@Column(name = "S_DIST_08", length = 24)
	public String getDist8() {
		return dist8;
	}

	@Column(name = "S_DIST_09", length = 24)
	public String getDist9() {
		return dist9;
	}

	@Column(name = "S_ORDER_CNT")
	public Long getOrderCount() {
		return orderCount;
	}

	@Column(name = "S_QUANTITY")
	public Long getQuantity() {
		return quantity;
	}

	@Column(name = "S_REMOTE_CNT")
	public Long getRemoteCount() {
		return remoteCount;
	}

	@Version
	@Column(name = "S_VERSION")
	public Long getVersion() {
		return version;
	}

	@Column(name = "S_YTD", precision = 8, scale = 2)
	public BigDecimal getYtd() {
		return ytd;
	}

	@ManyToOne
	@JoinColumn(name = "S_I_ID", referencedColumnName = "I_ID")
	public Item getItem() {
		return item;
	}

	@ManyToOne
	@JoinColumn(name = "S_W_ID", referencedColumnName = "W_ID")
	public Warehouse getWarehouse() {
		return warehouse;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public void setItem(Item item) {
		this.item = item;
	}

	public void setWarehouse(Warehouse warehouse) {
		this.warehouse = warehouse;
	}

	public void setData(String data) {
		this.data = data;
	}

	public void setDist1(String dist1) {
		this.dist1 = dist1;
	}

	public void setDist10(String dist10) {
		this.dist10 = dist10;
	}

	public void setDist2(String dist2) {
		this.dist2 = dist2;
	}

	public void setDist3(String dist3) {
		this.dist3 = dist3;
	}

	public void setDist4(String dist4) {
		this.dist4 = dist4;
	}

	public void setDist5(String dist5) {
		this.dist5 = dist5;
	}

	public void setDist6(String dist6) {
		this.dist6 = dist6;
	}

	public void setDist7(String dist7) {
		this.dist7 = dist7;
	}

	public void setDist8(String dist8) {
		this.dist8 = dist8;
	}

	public void setDist9(String dist9) {
		this.dist9 = dist9;
	}

	public void setOrderCount(Long orderCount) {
		this.orderCount = orderCount;
	}

	public void setQuantity(Long quantity) {
		this.quantity = quantity;
	}

	public void setRemoteCount(Long remoteCount) {
		this.remoteCount = remoteCount;
	}

	public void setVersion(Long version) {
		this.version = version;
	}

	public void setYtd(BigDecimal ytd) {
		this.ytd = ytd;
	}
}
