/***
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    Project: ejb3demo
 *    Author : Dibyendu Majumdar
 *    Email  : dibyendu@mazumdar.demon.co.uk
 */
/*
 * Created on: 05-Jan-2006
 * Author: Dibyendu Majumdar
 */
package entity.tpcc;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Version;

@Entity
@Table(name = "WAREHOUSE", schema = "TPCC")
public class Warehouse implements Serializable {

    Long id;

    Long version;

    String name;

    String street1;

    String street2;

    String city;

    String state;

    String zip;

    BigDecimal tax;

    BigDecimal ytd;

//    Set<District> districts = new HashSet<District>();

    @Column(name = "W_CITY", length = 20)
    public String getCity() {
        return city;
    }

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "W_ID")
    public Long getId() {
        return id;
    }

    @Column(name = "W_NAME", length = 10)
    public String getName() {
        return name;
    }

    @Column(name = "W_STATE", length = 2)
    public String getState() {
        return state;
    }

    @Column(name = "W_STREET_1", length = 20)
    public String getStreet1() {
        return street1;
    }

    @Column(name = "W_STREET_2", length = 20)
    public String getStreet2() {
        return street2;
    }

    @Column(name = "W_TAX", precision = 4, scale = 0)
    public BigDecimal getTax() {
        return tax;
    }

    @Version
    @Column(name = "W_VERSION")
    public Long getVersion() {
        return version;
    }

    @Column(name = "W_YTD", precision = 12, scale = 0)
    public BigDecimal getYtd() {
        return ytd;
    }

    @Column(name = "W_ZIP", length = 9)
    public String getZip() {
        return zip;
    }

//    @OneToMany(mappedBy = "warehouse")
//    public Set<District> getDistricts() {
//        return districts;
//    }
//
//    public void setDistricts(Set<District> districts) {
//        this.districts = districts;
//    }

    public void setCity(String city) {
        this.city = city;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setState(String state) {
        this.state = state;
    }

    public void setStreet1(String street1) {
        this.street1 = street1;
    }

    public void setStreet2(String street2) {
        this.street2 = street2;
    }

    public void setTax(BigDecimal tax) {
        this.tax = tax;
    }

    public void setVersion(Long version) {
        this.version = version;
    }

    public void setYtd(BigDecimal ytd) {
        this.ytd = ytd;
    }

    public void setZip(String zip) {
        this.zip = zip;
    }

    @Override
    public String toString() {
        return "Warehouse(id=" + getId() + ", version=" + getVersion() + ", name=" + getName() + ", city=" + getCity() + ")";
    }
}
