/***
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    Project: ejb3demo
 *    Author : Dibyendu Majumdar
 *    Email  : dibyendu@mazumdar.demon.co.uk
 */
/*
 * Created on: 01-Feb-2006
 * Author: Dibyendu Majumdar
 */
package services;

import java.util.List;

import entity.tpcc.Customer;
import entity.tpcc.District;
import entity.tpcc.Warehouse;

import javax.ejb.Remote;

@Remote
public interface CustomerService {
    
    void createCustomer(District d, Customer c);
    
    void createCustomer(String district, Customer c);
    
    void removeCustomer(Customer c);
    
    void removeCustomer(Long id);
    
    List find(Customer c);
    
    List findByDistrict(District d);
    
    List findByWarehouse(Warehouse w);
}
