/***
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    Project: ejb3demo
 *    Author : Dibyendu Majumdar
 *    Email  : dibyendu@mazumdar.demon.co.uk
 */
/*
 * Created on: 01-Feb-2006
 * Author: Dibyendu Majumdar
 */
package services;

import javax.persistence.EntityManager;

import services.impl.CustomerServiceImpl;
import services.impl.DistrictServiceImpl;
import services.impl.WarehouseServiceImpl;

public class ServiceFactory {

    EntityManager entityManager;
    
    public ServiceFactory(EntityManager em) {
        this.entityManager = em;
    }
    
    public CustomerService getCustomerService() {
        return new CustomerServiceImpl(entityManager);
    }
    
    public WarehouseService getWarehouseService() {
        return new WarehouseServiceImpl(entityManager);
    }
    
    public DistrictService getDistrictService() {
        return new DistrictServiceImpl(entityManager);
    }
    
}
