/***
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    Project: ejb3demo
 *    Author : Dibyendu Majumdar
 *    Email  : dibyendu@mazumdar.demon.co.uk
 */
/*
 * Created on: 01-Feb-2006
 * Author: Dibyendu Majumdar
 */
package services;

import java.math.BigDecimal;
import java.util.List;

import javax.ejb.Local;
import javax.ejb.Remote;

import entity.tpcc.Warehouse;

@Remote
public interface WarehouseService {
    
    Warehouse createWarehouse(String name, String street1, String street2, String city,
            String state, String zip, BigDecimal tax);
    
    void createWarehouse(Warehouse wh);
    
    void updateWarehouse(Warehouse wh);
    
    void remove(Warehouse warehouse);
    
    void remove(Long id);
    
    List find(Warehouse w);
}
