/***
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    Project: ejb3demo
 *    Author : Dibyendu Majumdar
 *    Email  : dibyendu@mazumdar.demon.co.uk
 */
/*
 * WarehouseEntryBean.java
 *
 * Created on 16 February 2006, 12:14
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package tpcc.jsf.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import javax.ejb.EJB;
import javax.faces.context.FacesContext;

import services.WarehouseService;
import entity.tpcc.Warehouse;

public class WarehouseFormBean {

    WarehouseService warehouseService;

    String name;

    String street1;

    String street2;

    String city;

    String state;

    String zipCode;

    BigDecimal tax;

    BigDecimal ytd;

    String message;

    Warehouse current = null;

    DistrictFormBean districtBean;

    private ArrayList<Warehouse> currentSet = new ArrayList<Warehouse>();

    public WarehouseFormBean() {
    }

    private Warehouse gather() {
        Warehouse wh = getCurrent();
        if (wh == null) {
            wh = new Warehouse();
        }
        if (name != null && name.length() > 0) {
            wh.setName(name);
        }
        if (street1 != null && street1.length() > 0) {
            wh.setStreet1(street1);
        }
        if (street2 != null && street2.length() > 0) {
            wh.setStreet2(street2);
        }
        if (city != null && city.length() > 0) {
            wh.setCity(city);
        }
        if (state != null && state.length() > 0) {
            wh.setState(state);
        }
        if (zipCode != null && zipCode.length() > 0) {
            wh.setZip(zipCode);
        }
        if (tax != null) {
            wh.setTax(tax);
        }
        if (ytd != null) {
            wh.setYtd(ytd);
        }
        return wh;
    }

    private void scatter(Warehouse wh) {
        name = wh.getName();
        street1 = wh.getStreet1();
        street2 = wh.getStreet2();
        city = wh.getCity();
        state = wh.getState();
        zipCode = wh.getZip();
        if (wh.getTax() != null)
            tax = wh.getTax();
        if (wh.getYtd() != null)
            ytd = wh.getYtd();
    }

    public Object find() {
        setMessage(null);
        setCurrent(null);
        Warehouse wh = gather();
        List list = warehouseService.find(wh);
        if (list.size() > 0) {
            currentSet.clear();
            currentSet.addAll(list);
            return "warehousel";
        } else {
            setMessage("Did not find any data that matched your query");
            return null;
        }
    }

    public Object edit() {
        current = (Warehouse) FacesContext.getCurrentInstance()
                .getExternalContext().getRequestMap().get("item");
        scatter(current);
        return "warehouse";
    }

    public Object add() {
        setMessage(null);
        setCurrent(null);
        Warehouse wh = gather();
        try {
            warehouseService.createWarehouse(wh);
        } catch (Exception ex) {
            setMessage("Failed to create warehouse");
            FacesContext.getCurrentInstance().getExternalContext().log(
                    "Error occurred while attempting to save data", ex);
        }
        return "warehouse";
    }

    public Object save() {
        if (getCurrent() == null) {
            setMessage("No current record");
            return "warehouse";
        }
        setMessage(null);
        Warehouse wh = gather();
        try {
            warehouseService.updateWarehouse(wh);
            setCurrent(null);
        } catch (Exception ex) {
            setMessage("Failed to save data");
            FacesContext.getCurrentInstance().getExternalContext().log(
                    "Error occurred while attempting to save data", ex);
        }
        return "warehouse";
    }

    public Object listDistricts() {
        if (getCurrent() == null) {
            setMessage("No current record");
            return "warehouse";
        }
        setMessage(null);
        Warehouse wh = gather();
        districtBean.setMyWarehouse(wh);
        return districtBean.listDistricts();
    }

    public final String getCity() {
        return city;
    }

    public final void setCity(String city) {
        this.city = city;
    }

    public final String getName() {
        return name;
    }

    public final void setName(String name) {
        this.name = name;
    }

    public final String getState() {
        return state;
    }

    public final void setState(String state) {
        this.state = state;
    }

    public final String getStreet1() {
        return street1;
    }

    public final void setStreet1(String street1) {
        this.street1 = street1;
    }

    public final String getStreet2() {
        return street2;
    }

    public final void setStreet2(String street2) {
        this.street2 = street2;
    }

    public final BigDecimal getTax() {
        return tax;
    }

    public final void setTax(BigDecimal tax) {
        this.tax = tax;
    }

    public final BigDecimal getYtd() {
        return ytd;
    }

    public final void setYtd(BigDecimal ytd) {
        this.ytd = ytd;
    }

    public final String getZipCode() {
        return zipCode;
    }

    public final void setZipCode(String zipCode) {
        this.zipCode = zipCode;
    }

    public final ArrayList<Warehouse> getCurrentSet() {
        return currentSet;
    }

    public final void setCurrentSet(ArrayList<Warehouse> currentSet) {
        this.currentSet = currentSet;
    }

    public final String getMessage() {
        return message;
    }

    public final void setMessage(String message) {
        this.message = message;
    }

    public final WarehouseService getWarehouseService() {
        return warehouseService;
    }

    @EJB
    public final void setWarehouseService(WarehouseService warehouseService) {
        this.warehouseService = warehouseService;
    }

    public final Warehouse getCurrent() {
        return current;
    }

    public final void setCurrent(Warehouse current) {
        this.current = current;
    }

    public DistrictFormBean getDistrictBean() {
        return districtBean;
    }

    public void setDistrictBean(DistrictFormBean districtBean) {
        this.districtBean = districtBean;
    }

}
